#!/usr/bin/python

'''EMail Server Antivir Gate
 
version 0.2beta
 
This program is a antivir gate for postfix.
 
(c) 2003 Jan ONDREJ (SAL) <ondrejj@salstar.sk>
This program is licensed under GPL.
 
Usage:
  use as postfix filter in master.cf
  ./fmag.py ${sender} ${recipient}
'''

from aglib import *
import sys,os

if len(sys.argv)>0:
  dochroot(USER,GROUP,CHROOT)
  for fn in sys.argv[1:]:
    debug(1, "Scanning file: "+fn)
    f=open(fn,'r')
    mail.data=f.read()
    f.close()
    scanarr,scannames=[],'None'
    for scnr in SCANNERS:
      debug(1,"Running: ",scnr.name)
      detected,virlist,scan_reply=do_scan(scnr,os.path.basename(fn))
      if scan_reply:
        debug(0, scan_reply)
      else:
        scanarr=scanarr+[scnr.name]
        scannames=string.join(scanarr,' ')
      if detected:
        debug(1,"Satus: ",[detected,virlist])
        break
else:
  print "Wrong command line parameters!"
